# ToolbarItem

Namespace: **Wisej.Hybrid.Shared.Toolbar**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents an item in the device's toolbar.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ToolbarItem
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ToolbarItem
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)ToolbarItem()

Initializes a new instance of [ToolbarItem](/hybrid/start/api/ui/wisej.hybrid.shared.toolbar.toolbaritem.md).

## Fields

| Name     | Type                                                                                   | Description                         |
| -------- | -------------------------------------------------------------------------------------- | ----------------------------------- |
| **Type** | [ToolbarItemType](/hybrid/start/api/ui/wisej.hybrid.shared.toolbar.toolbaritemtype.md) | Gets or sets the toolbar item type. |

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)Enabled

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets or sets whether the toolbar item is enabled.

### ![](/files/CCV9PPenlC1YZvNh1I6R)ImageSource

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the image associated with the toolbar item.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Text

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the toolbar item's text.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Width

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Gets or sets the width of the button for a fixed space.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/ui/wisej.hybrid.shared.toolbar.toolbaritem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
